%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		4.6
%define libname		%mklibname xfsm %{api} %{major}
%define develname	%mklibname xfsm -d


Summary:	Xfce Session Manager
Name:		xfce4-session
Version:	4.10.1
%define subrel	2
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source1:	06Xfce
Source2:	xfce4.pam
# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
Source3:	xfce4-lightdm.conf
Patch0:		xfce4-session-4.10.0-xinitrc.patch
Patch1:		xfce4-session-4.10.1-add-light-locker-and-slimlock-support-to-xflock4.patch
Patch2:		xfce4-session-4.10.0-set-XDG_CURRENT_DESKTOP.patch
# From Fedora:
Patch100:	xfce4-session-4.10.1-systemd.patch
BuildRequires:	intltool
BuildRequires:	iceauth
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires:	usermode-consoleonly
Requires:	mate-polkit
Requires(pre):	%{_real_vendor}-xfce-config
Requires(post):	%{_real_vendor}-xfce-config

#added 4/2012 (wally)
Obsoletes:	xfce-utils

%description
The session manager allows the user to save sessions and
restore them after login. It is capable of saving several
different sessions. It comes with three splash screen engines.
And at last it helps you to log out, reboot, and shutdown the system.

%package engines
Summary:	Balou splash engine
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xfce-session-engines

%description engines
Balou is an addidional splash engine for the Xfce.

%package -n %{libname}
Summary:	Libraries for the Xfce Session Manager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for xfce-session manager.

%package -n %{develname}
Summary:	Libraries and header files for the Xfce Session Manager
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	libxfsm-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files for the Xfce Session Manager.

%prep
%setup -q
%apply_patches

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-systemd
%make

%install
%makeinstall_std

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/Xft.xrdb

# session
install -Dm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/wmsession.d/06Xfce

# pam
install -Dm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/xfce4

# generated by filetriggers from wmsession file
rm -rf %{buildroot}%{_datadir}/xsessions/

# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
install -Dm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/50-%{_real_vendor}-xfce.conf

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%doc doc/FAQ doc/README.Kiosk
%dir %{_datadir}/themes
%dir %{_datadir}/themes/Default
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/xfce4/session/splash-engines/libmice.*
%{_libdir}/xfce4/session/splash-engines/libsimple.*
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_mandir}/man1/*
%{_sysconfdir}/lightdm/lightdm.conf.d/50-%{_real_vendor}-xfce.conf
#previously in xfce-utils
%{_sysconfdir}/xdg/autostart/xscreensaver.desktop
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/X11/wmsession.d/06Xfce
%{_sysconfdir}/pam.d/xfce4

%files engines
%dir %{_datadir}/themes/Default/balou
%{_libdir}/xfce4/session/balou-export-theme
%{_libdir}/xfce4/session/balou-install-theme
%{_libdir}/xfce4/session/splash-engines/libbalou.*
%{_datadir}/themes/Default/balou/logo.png
%{_datadir}/themes/Default/balou/themerc

%files -n %{libname}
%{_libdir}/libxfsm-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/libxfsm-%{api}.so
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_includedir}/xfce4/%{name}-%{api}/


%changelog
* Tue Apr 22 2014 wally <wally> 4.10.1-6.2.mga4
+ Revision: 617424
- explicitly require mate-polkit for polkit-agent (mga#13247)

* Tue Feb 18 2014 wally <wally> 4.10.1-6.1.mga4
+ Revision: 594409
- add patch from Fedora to support also suspend/hibernate through systemd-logind (mga#12811)

* Sun Dec 22 2013 wally <wally> 4.10.1-6.mga4
+ Revision: 559750
- add config file for lightdm to pre-select Xfce4 in lightdm greeter on first boot after mga install (mga#11613)
- fix 'typos' in wmsession.d file

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-5.mga4
+ Revision: 529901
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 wally <wally> 4.10.1-4.mga4
+ Revision: 454051
- add slimlock support to xflock4

* Sun Jun 30 2013 wally <wally> 4.10.1-3.mga4
+ Revision: 448624
- add patch to set XDG_CURRENT_DESKTOP on startup

* Wed Jun 19 2013 wally <wally> 4.10.1-2.mga4
+ Revision: 445097
- add light-locker support to xflock4 and prefer it before xscreensaver

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425068
- new version 4.10.1
- drop patches from upstream

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-10.mga3
+ Revision: 386865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 4.10.0-9.mga3
+ Revision: 336245
- fix build with new automake
- rediff xinitrc patch after Terminal was renamed to xfce4-terminal and config file location changed

* Sat Nov 10 2012 wally <wally> 4.10.0-8.mga3
+ Revision: 316846
- add patch from upstream to fix duplicated accelerators

* Tue Oct 23 2012 wally <wally> 4.10.0-7.mga3
+ Revision: 309508
- drop session .desktop file

* Tue Oct 23 2012 wally <wally> 4.10.0-6.mga3
+ Revision: 309504
- add patches from upstream
  * fix logic of the --fast action (xfce#8857)
  * handle multiple interactive session save (xfce#5379)

* Thu Oct 18 2012 wally <wally> 4.10.0-5.mga3
+ Revision: 308011
- add a patch from upstream bugzilla to add systemd support

* Fri Oct 05 2012 wally <wally> 4.10.0-4.mga3
+ Revision: 302960
- use more generic require for polkit agent to allow users to use e.g. lxpolkit

* Thu May 31 2012 wally <wally> 4.10.0-3.mga3
+ Revision: 252498
- kill configure option too

* Thu May 31 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 252494
- kill unneeded gnome-keyring dep (patch from upstream git)

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248490
- new version 4.10.0
- adapt parts from xfce-utils which is now obsolete
- clean .spec

* Mon Feb 13 2012 wally <wally> 4.8.3-1.mga2
+ Revision: 208440
- new version 4.8.3
- clean BRs

* Sat Feb 11 2012 wally <wally> 4.8.2-3.mga2
+ Revision: 207154
- drop P0 (there's no --force switch in xfsettingsd anymore, mga#4468)
- drop lib require from main pkg

* Sat Sep 24 2011 wally <wally> 4.8.2-2.mga2
+ Revision: 147334
- D'oh!
- really fix libname

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147289
- new version 4.8.2
- fix libname

* Fri Apr 29 2011 ahmad <ahmad> 4.8.1-3.mga1
+ Revision: 93347
- Add a patch from Debian to start xfsettingsd with --force to replace a
  spurious gnome-settings-daemon instance left by gdm

* Sat Feb 19 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 53950
- require polkit-gnome instead of policykit-gnome

* Thu Feb 17 2011 ahmad <ahmad> 4.8.1-1.mga1
+ Revision: 53267
- update to 4.8.1
- drop redundant BR (fwang)

* Thu Feb 17 2011 ahmad <ahmad> 4.7.3-2.mga1
+ Revision: 53070
- replace X11-devel with libsm-devel
- drop BR perl(XML::Parser), it's already pulled in the chroot
- disable glade2-devel BR, not needed, I think
- change requires to %%_real_vendor-xfce-config
- drop old patches
- don't ship .a and .la
- imported package xfce4-session


* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 629115
- update to new version 4.7.3

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 609366
- update to new version 4.7.2

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.1-1mdv2011.0
+ Revision: 593835
- update to new version 4.7.1
- disable patch 1
- drop some conditions in spec file for mdv older than 20090

* Sun Sep 19 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-2mdv2011.0
+ Revision: 579846
- Patch1: reuse existing ConsoleKit sessions

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-1mdv2011.0
+ Revision: 579372
- update to new version 4.7.0
- fix file list
- adjust buildrequires
- disable patch 0

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553890
- update to new version 4.6.2

* Thu Jun 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 547055
- Patch0: fix gnome-keyring support (upstream xfce bug #5912)

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543220
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368577
- update to new version 4.6.1

* Sun Apr 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 364198
- Patch0: don't crash when NULL pointer is passed
- Patch1: fix default value for EnableTcp
- drop useless stuff

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349228
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 346150
- update to new version 4.6.0

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333929
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329517
- update to new version 4.5.93

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-3mdv2009.1
+ Revision: 306422
- pre requires on mandriva-xfce-config

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 306419
- xfce4-session.xml file is in mandriva-xfce-config package
- post requires on mandriva-xfce-config
- drop Source1 and patches 4 and 7 as they are not needed at all
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303498
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- remove buildrequires on libgdk_pixbuf2.0-devel
- pm-utils are required by xfce4-power-manager
- do not suggests sudo anymore
- require usermode-consoleonly
- do not build static libraries

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294512
- Xfce4.6 beta1 is landing on cooker
- disable all patches, probably some of them are still useful, will investigate later
- fix file list
- bump apiver
- tune up buildrequires
- obsolete old library
- requires policykit-gnome
- Patch10: new version

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-12mdv2009.0
+ Revision: 281321
- Patch11: use dbus-glib for configure script
- Patch12: update translation for logoff dialog box
- suggests sudo

* Thu Aug 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-11mdv2009.0
+ Revision: 274449
- Patch10: speed up xfce startup, gain in speed is about 1 sec. (patch taken from xfce mailing list)

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-10mdv2009.0
+ Revision: 274072
- Patch9: do not spawn another gnome-keyring-daemon, if one is already running (upstream bug #3007)

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-9mdv2009.0
+ Revision: 229843
- enable patch 6, fixes underlinking problems
- suggest fortune-mod

  + Anssi Hannula <anssi@mandriva.org>
    - fix icons.patch to make xdt-autogen succeed (lines wrongly ending in
      backslash)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-8mdv2009.0
+ Revision: 206275
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-7mdv2008.1
+ Revision: 188938
- fix libification introduced in last commit

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-6mdv2008.1
+ Revision: 188854
- Patch7: add missing icon xfce4-autostart-editor.png
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-5mdv2008.1
+ Revision: 133073
- rediff patch 7,  remove xfsm-shutdown.svg icon
- enable legacy session management, fixes mdv bug #29853

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 30 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 114057
- Add configure option

* Sun Nov 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 111974
- Add more beautiful icons on quit dialogbox
- Add more beautiful icons on quit dialogbox

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 110667
- do not package COPYING and INSTALL files
- add missing buildrequires on libGConf2-devel

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109978
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use upstream tarball name as a real name
    - use upstream name

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-11mdv2008.0
+ Revision: 92364
- update patch 5 (logout dialog)

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-10mdv2008.0
+ Revision: 91881
- exclude config files, which are now in mandriva-xfce-config package

* Tue Sep 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 84450
- since there is suspend/hibernate option in logout menu, then pm-utils should be required

* Fri Sep 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 81907
- remove old patch 4, replace it with new one since all conf files are handle by mandriva-xfce-config package
- provide patch8, which make use of GtkFileChooser

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 44263
- fix file list
- new devel library policy
- disable legacy X11R5 session management
- move Source 1 and 2 to the xfce-config package
- adjust provides/obsoletes

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 36215
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - move balou splash engine to separate package (i hope someone will make a mandriva theme :)
    - rediff P4 (splash should be disabled now)

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 35071
- provide patch 5
  o add suspend and hibernate options to the session dialog
  o shutdown without a password
- provide patch 6 and 7
- provide Source 3 (icons for suspend/hibernate stolen from gnome-power-manager :)
- add requires on fortune-mod (tips&tricks works now)
- add buildrequires on dbus-glib-devel
- disable splash
- update description
- use macros in %%post and %%postun
- adjust configure options
- spec file clean

* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 33091
- Add autostart

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31093
- Add mandriva default theme

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14934
- New release 4.4.1

